//************************************************************************
//
// SetupDIMgr.h
//
//************************************************************************

#ifndef _SETUPDIMGR_H_INCLUDED_ 
#define _SETUPDIMGR_H_INCLUDED_ 

#include <setupapi.h>
#pragma comment(lib, "setupapi.lib")

class CSetupDIMgr
{
public:
    CSetupDIMgr(void);
	virtual ~CSetupDIMgr(void);

    void RebuildList(LPCTSTR szBus =_T("PCI"), BOOL bPresentOnly = TRUE);
    void ReleaseList(void);

    BOOL Enum(void);
	BOOL GetRegProperty(CString &sProperty, DWORD dwWhich);
	BOOL DeviceName(CString &sDevName);
	BOOL HardwareID(CString &sHardwareID);
    BOOL CompatibleIDs(CString &sCompatibleIDs);
	BOOL FindHardwareID(LPCTSTR sHardwareID, int nStartAt = 0);
	PBYTE GetDeviceRegistryProperty(HDEVINFO DeviceInfoSet, 
		PSP_DEVINFO_DATA DeviceInfoData, DWORD Property, PDWORD PropertyRegDataType);

// private:
	BOOL m_bUseMultiSZ;
	HDEVINFO m_devInfo;
	SP_DEVINFO_DATA m_devInfoData;
	int m_nDevIndex;
};




#endif // !_SETUPDIMGR_H_INCLUDED_ 

//** end of SetupDIMgr.h *************************************************
